## NAME

r.mask.points -Examines and filters lists of points constituting lines to determine if they fall within current region and mask and optionally an additional raster map.
(GRASS Raster Program)

## SYNOPSIS

r.mask.points
r.mask.points help
r.mask.points [ -r] [mask=name] [input=name] [fs=name]

## DESCRIPTION

r.mask.points filters a list of points based on the current region and current mask. The point list consists of lines which have the following format

    	easting		northing	[text]
    		  	   .
    			   .
    			   .
    	easting		northing	[text]

The eastings and northings define points in the coordinate space. Each line is examined to determine if the point falls within the current region, current mask (if any), and optionally an additional raster map that acts as a secondary mask. If the point falls outside the current region or falls in a grid cell that has value zero (either in the current mask, or the specified mask file), then the entire line is suppressed. Otherwise it is printed exactly as it is input. There may be arbitrary text following the coordinate pairs and this text is output as well.

## OPTIONS

Flags

-r
  Coordinates are reversed: north east

  Normal input has the east first and the north second. This option allows the order of the coordinates to be north first and east next.

  Parameters

mask=name
  Raster map used to mask points

  This parameter is optional. If not specified, then the points are mask by the default mask (if there is one). If it is specified, then the points are mask by this layer as well as the default mask.

input=name
  Unix input containing point list

  If not specified it is assumed that the user will either redirect the input from a file:

    r.mask.points < file

  or pipe the results from some other process (e.g., a DBMS query) into r.mask.points

    some_process | r.mask.points

fs=character
  Input field separator character

  If the coordinates are not separated by white space, but by some other character, this option specifies that character. For example, if a colon is used between the east and north, then r.mask..point can be told this by:

    r.mask.points fs=:

  ## NOTES

  Lines that make it through the filtering are output intact. This means that if the coordinates are reversed they will remain reversed on output. If there is a field separator, it will also be output.

  ## SEE ALSO

  r.mask
  s.out.ascii
  s.in.ascii
  d.points

  ## AUTHOR

  Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

  Last changed: $Date: 2002/01/25 05:45:34 $